> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semgrep.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# [Beta] Get SMS VPC Bootstrap CloudFormation Template

> VPC support for Managed Scans is in private beta.

Returns the Managed Scans VPC Bootstrap CloudFormation template in JSON format for setting up cross-account infrastructure.

This template creates IAM roles and policies needed for Semgrep Managed Scanning (SMS) VPC infrastructure automation,
including the semgrep-sms-vpc-automation role and EC2 Image Builder distribution roles for gVisor container runtime.

See the original AWS cloudformation template format at https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/template-formats.html




## OpenAPI

````yaml get /api/v1/bootstrap-sms-vpc
openapi: 3.0.3
info:
  description: >

    Welcome to Semgrep's portal for the Semgrep AppSec Platform web API.


    # Introduction

    Semgrep is a fast, open-source, static analysis tool for finding bugs and
    enforcing code standards at editor,

    commit, and CI time. [Get started.](https://semgrep.dev/getting-started/)


    Semgrep analyzes code locally on your computer or in your build environment:
    **code is never uploaded.**


    This API is documented in the **OpenAPI format**.


    # Authentication

    The API supports authentication with an API token with the "Web API"
    permission, without limited

    scopes of access.


    You can provision an API token [from the Settings
    page](https://semgrep.dev/orgs/-/settings/tokens).


    # Terms of Use


    Please note, the materials made available herein are subject to the

    [Semgrep Terms of Use](https://semgrep.dev/resources/website-terms/), and
    your

    access or use of any of the same is your acknowledgment and acceptance of
    the

    such terms.


    <br>


    ___
  title: Semgrep Web App
  version: 1.0.0
servers:
  - url: https://semgrep.dev
security: []
tags:
  - description: >-
      Deployments encapsulate your organization's security organization, with
      multiple projects, policies, and integrations. As the root object of the
      organization, they're similarly the root object of the API.
    name: DeploymentsService
    x-displayName: Deployment
  - description: >-
      Manage and retrieve code and supply chain security findings from Semgrep
      scans
    name: FindingsService
    x-displayName: Code and Supply Chain
  - description: Utility endpoints.
    name: MiscService
    x-displayName: Other
  - description: View and manage the Policies of your organization.
    name: PoliciesService
    x-displayName: Policies
  - name: ProjectsService
    x-displayName: Projects
  - description: View details of scans associated with projects in your organization.
    name: ScansService
    x-displayName: Scans
  - description: View and manage the Secrets of your organization.
    name: SecretsService
    x-displayName: Secrets
  - description: |-
      Manage the Supply Chain findings and dependencies of your organization.

      A request body is required, but may be an empty object.
    name: SupplyChainService
    x-displayName: Supply Chain
  - description: Create and manage external tickets
    name: TicketingService
    x-displayName: Ticketing
  - description: View and manage the triage of your organization.
    name: TriageService
    x-displayName: Triage
paths:
  /api/v1/bootstrap-sms-vpc:
    get:
      tags:
        - MiscService
      summary: '[Beta] Get SMS VPC Bootstrap CloudFormation Template'
      description: >
        VPC support for Managed Scans is in private beta.


        Returns the Managed Scans VPC Bootstrap CloudFormation template in JSON
        format for setting up cross-account infrastructure.


        This template creates IAM roles and policies needed for Semgrep Managed
        Scanning (SMS) VPC infrastructure automation,

        including the semgrep-sms-vpc-automation role and EC2 Image Builder
        distribution roles for gVisor container runtime.


        See the original AWS cloudformation template format at
        https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/template-formats.html
      operationId: MiscService_GetBootstrapSmsVpc
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/protos.openapi.v1.GetBootstrapSmsVpcResponse
          description: OK
components:
  schemas:
    protos.openapi.v1.GetBootstrapSmsVpcResponse:
      properties:
        AWSTemplateFormatVersion:
          description: The AWSTemplateFormatVersion that the template conforms to
          type: string
        Description:
          description: Template description
          type: string
        Metadata:
          description: Template metadata including version and last updated date
          type: object
        Outputs:
          description: Output values of the stack
          type: object
        Parameters:
          description: Template parameters
          type: object
        Resources:
          description: Declaration of AWS resources
          type: object
      type: object

````